QGIS Application - Bug report #13280
While exporting composer, WMS warning appears only if WMS layer is visible in the map canvas
2015-08-28 08:25 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:2.8.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 21340
Description

Add a WMS layer and a local layer in QGIS and set them visible

Create a print composer and add a composer map containing these two layers. Trying to export the composer will show the WMS warning
message.

Now, lock the composer map with these layers and toggle off the visibility of the WMS layer. Trying the export will no more show the
warning message although the WMS layer is shown in the composer map and is to be printed.

If you create a composer map with just the local layer locked in and try to export. You don't use the WMS layer but You'll get the warning
message if the WMS layer is visible in the map canvas. otherwise, no message.

The WMS warning message is prompted not because the WMS layer will be printed but because the WMS layer is at that moment visible
in the main canvas.

Seen on qgis 2.8.3 and master (11) 6bf5e91

History

#1 - 2017-05-01 01:06 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2017-12-19 12:41 AM - Nyall Dawson
- Resolution set to fixed/implemented

- Status changed from Open to Closed
- Description updated

Fixed in layouts engine
